org.eclipse.ecf.provider.generic

## Class SOContainerGroup

- java.lang.Object
- - org.eclipse.ecf.provider.generic.SOContainerGroup

All Implemented Interfaces:
  ISocketAcceptHandler

Direct Known Subclasses:
  SSLServerSOContainerGroup, TCPServerSOContainerGroup

    public class SOContainerGroup
    extends Object
    implements ISocketAcceptHandler

### Field Summary

Fields
`static String` `INVALID_CONNECT`
`protected Map` `map`

### Constructor Summary

Constructors
Constructor and Description
`SOContainerGroup(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `add(String key, SOContainer aSpace)`
`boolean` `contains(String key)`
`protected ObjectInputStream` `createObjectInputStream(Socket aSocket)`
`protected ObjectOutputStream` `createObjectOutputStream(Socket aSocket)`
`Iterator` `elements()`
`SOContainer` `get(String key)`
`String` `getName()`
`void` `handleAccept(Socket aSocket)`
`protected ConnectRequestMessage` `readConnectRequestMessage(ObjectInputStream ins)`
`SOContainer` `remove(String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INVALID_CONNECT

    public static final String INVALID_CONNECT

Since:
  4.7
See Also:
  Constant Field Values

#### map

    protected Map map

### Constructor Detail

#### SOContainerGroup

    public SOContainerGroup(String name)

### Method Detail

#### add

    public String add(String key,
                      SOContainer aSpace)

#### get

    public SOContainer get(String key)

#### remove

    public SOContainer remove(String key)

#### contains

    public boolean contains(String key)

#### getName

    public String getName()

#### elements

    public Iterator elements()

#### createObjectOutputStream

    protected ObjectOutputStream createObjectOutputStream(Socket aSocket)
                                                   throws IOException

Parameters:
  `aSocket` - socket
Returns:
  ObjectOutputStream new object output stream for socket
Throws:
  `IOException` - if object output stream cannot be created
Since:
  4.7

#### createObjectInputStream

    protected ObjectInputStream createObjectInputStream(Socket aSocket)
                                                 throws IOException

Parameters:
  `aSocket` - socket
Returns:
  ObjectInputStream new object input stream for socket
Throws:
  `IOException` - if object input stream cannot be created
Since:
  4.7

#### readConnectRequestMessage

    protected ConnectRequestMessage readConnectRequestMessage(ObjectInputStream ins)
                                                       throws IOException,
                                                              ClassNotFoundException

Parameters:
  `ins` - object input stream. Will not be `null`
Returns:
  ConnectRequestMessage connect request message read from object input stream
Throws:
  `IOException` - if object cannot be read from stream
  `ClassNotFoundException` - if object cannot be read from stream
Since:
  4.7

#### handleAccept

    public void handleAccept(Socket aSocket)
                      throws Exception

Specified by:
  `handleAccept` in interface `ISocketAcceptHandler`
Parameters:
  `aSocket` - socket
Throws:
  `Exception`
Since:
  4.7